/*** Multiple Imputation and Regression rally effects 20190807 ***/
/***Hypothesis H1a, H1b, H1c***/

mi set mlong

mi register imputed Q6 Q38 Q17 Q20 age Q28 Q29

set seed 2019807
mi impute mvn  Q6 Q38 Q17 Q20 age Q28 Q29, add(50)

mi estimate: reg Q6 i.Q38 i.Q17 Q20 age Q28 Q29

mimrgns Q38, at( age=(18(1)100)) predict(xb) cmdmargins vsquish 
marginsplot


***<mvn: data augmentation. caution! data reload. >***
***/use "C:\..."/***
/***Hypothesis H2a, H2b***/
mi set mlong

mi register imputed Q9 Q10 Q38 Q17 Q20 age Q28 Q29

set seed 2019807
mi impute mvn  Q9 Q10 Q38 Q17 Q20 age Q28 Q29, add(50)


mi estimate: reg Q9 i.Q38 i.Q17 Q20 age Q28 Q29

mimrgns Q38, at( age=(18(1)100)) predict(xb) cmdmargins vsquish 
marginsplot

mi estimate: reg Q10 i.Q38 i.Q17 Q20 age Q28 Q29

mimrgns Q38, at( age=(18(1)100)) predict(xb) cmdmargins vsquish 
marginsplot


 ***<mvn: data augmentation. caution! data reload. >***
***/use "C:\..."/***
/***Hypothesis H3a, H3b***/
mi set mlong

mi register imputed Q6 Q38 Q17 Q20 age Q28 Q29 type 

set seed 2019807
mi impute mvn  Q6 Q38 Q17 Q20 age Q28 Q29 type, add(50)

preserve

drop if Q38==2

mi estimate: reg Q6 i.type i.Q17 Q20 age Q28 Q29

mimrgns type, at( age=(18(1)100)) predict(xb) cmdmargins vsquish 
marginsplot

restore

preserve
drop if Q38==1

mi estimate: reg Q6 i.type i.Q17 Q20 age Q28 Q29

mimrgns type, at( age=(18(1)100)) predict(xb) cmdmargins vsquish 
marginsplot

restore


 ***<mvn: data augmentation. caution! data reload. >***
***/use "C:\..."/***
mi set mlong

mi register imputed Q3 Q4 Q6 Q9 Q10 Q38 Q17 Q20 age Q28 Q29 type 

set seed 2019807
mi impute mvn  Q3 Q4 Q6 Q9 Q10 Q38 Q17 Q20 age Q28 Q29 type, add(50)
 